Package: org.codehaus.groovy.tools.shell

## [Groovy] Class RelaxedParser

- org.codehaus.groovy.tools.shell.RelaxedParser

- All Implemented Interfaces and Traits:
    Parsing

      final class RelaxedParser

  A relaxed parser, which tends to allow more, but won't really catch valid syntax errors.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected AST` | `doParse(UnicodeEscapingReader reader)`
    `ParseStatus` | `parse(Collection<String> buffer)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### protected AST doParse(UnicodeEscapingReader reader)

    - #### ParseStatus parse(Collection<String> buffer)